javax.validation.metadata

## Interface ElementDescriptor

- All Known Subinterfaces:
    BeanDescriptor, ConstructorDescriptor, CrossParameterDescriptor, ExecutableDescriptor, MethodDescriptor, ParameterDescriptor, PropertyDescriptor, ReturnValueDescriptor

      public interface ElementDescriptor

  Describes a validated element (class, property, method etc.).
  Author:
    Emmanuel Bernard, Hardy Ferentschik, Gunnar Morling

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `ElementDescriptor.ConstraintFinder` Declares restrictions on retrieved constraints.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ElementDescriptor.ConstraintFinder` | `findConstraints()` Finds constraints and potentially restricts them to certain criteria.
    `Set<ConstraintDescriptor<?>>` | `getConstraintDescriptors()` Returns all constraint descriptors for this element in the class hierarchy or an empty `Set` if none are present.
    `Class<?>` | `getElementClass()`
    `boolean` | `hasConstraints()`

- - ### Method Detail

    - #### hasConstraints

          boolean hasConstraints()

      Returns:
        returns `true` if at least one constraint declaration is present for this element in the class hierarchy, `false` otherwise

    - #### getElementClass

          Class<?> getElementClass()

      Returns:
        the statically defined returned type

    - #### getConstraintDescriptors

          Set<ConstraintDescriptor<?>> getConstraintDescriptors()

      Returns all constraint descriptors for this element in the class hierarchy or an empty `Set` if none are present.
      Returns:
        `Set` of constraint descriptors for this element

    - #### findConstraints

          ElementDescriptor.ConstraintFinder findConstraints()

      Finds constraints and potentially restricts them to certain criteria.
      Returns:
        `ConstraintFinder` object

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.